<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Desafio Python</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='styles/style.css') }}" />
</head>
<body>
    <div id="users">
        <h1>Lista de Usuários</h1>
        {%for i in range(0, user_len)%}
            <textarea id="dados" readonly>{{usuarios[i]['nome']}} - {{usuarios[i]['email']}}</textarea>
            <a href="RemoverUsuario.html?email={{+usuarios[i]['email']}}"><button id="btn_excluir">Excluir</button></a>
            <a href="AlterarUsuario.html?email={{+usuarios[i]['email']}}&nome={{+usuarios[i]['nome']}}"><button id="btn_alterar">Alterar</button></a>
            <br>
        {%endfor%}
    </div>
     <a href="AdicionarUsuario.html"><button id="add_user">Adicionar Usuário</button></a>

    <div id="points">
        <h1>Lista de Localizações</h1>
        {%for i in range(0, point_len)%}
            <textarea id="dados" readonly>{{pontos[i]['descricao']}} - Latitude:{{pontos[i]['latitude']}} - Longitude:{{pontos[i]['longitude']}} </textarea>
            <a href="RemoverPonto.html?latitude={{+pontos[i]['latitude']}}&longitude={{+pontos[i]['longitude']}}"><button id="btn_excluir">Excluir</button></a>
            <a href="AlterarPonto.html?latitude={{+pontos[i]['latitude']}}&longitude={{+pontos[i]['longitude']}}&descricao={{+pontos[i]['descricao']}}&email={{+pontos[i]['user_email']}}"><button id="btn_alterar">Alterar</button></a>
            <br>
        {%endfor%}
    </div>
    <a href="AdicionarPonto.html"><button id="add_ponto">Adicionar Ponto</button></a>

    <br>

</body>
</html>